﻿' *****************************************************************************
' NAntRunner
' A simple, standalone, utility for running NAnt build scripts.
'
' Developed by Mark Gilbert (http://www.mark-gilbert.com).
'
' This software is license under the Microsoft Public License (Ms-PL).  For full
' license details, please see 
' http://www.microsoft.com/resources/sharedsource/licensingbasics/publiclicense.mspx.
' *****************************************************************************

''' <summary>
''' A simple class that is designed to be used with list boxes and drop down boxes to roll up a value and a display name.
''' </summary>
''' <remarks></remarks>
Public Class ListItem

    Private _Value As String
    Private _DisplayName As String

    Public Sub New(ByVal NewDisplayName As String, ByVal NewValue As String)
        Me._DisplayName = NewDisplayName
        Me._Value = NewValue
    End Sub

    Public Property Value() As String
        Get
            If (IsNothing(Me._Value)) Then Me._Value = ""
            Return Me._Value
        End Get
        Set(ByVal value As String)
            Me._Value = value
        End Set
    End Property


    Public Property DisplayName() As String
        Get
            If (IsNothing(Me._DisplayName)) Then Me._DisplayName = ""
            Return Me._DisplayName
        End Get
        Set(ByVal value As String)
            Me._DisplayName = value
        End Set
    End Property


    Public Overrides Function ToString() As String
        Return Me._DisplayName
    End Function
End Class
