﻿' *****************************************************************************
' NAntRunner
' A simple, standalone, utility for running NAnt build scripts.
'
' Developed by Mark Gilbert (http://www.mark-gilbert.com).
'
' This software is license under the Microsoft Public License (Ms-PL).  For full
' license details, please see 
' http://www.microsoft.com/resources/sharedsource/licensingbasics/publiclicense.mspx.
' *****************************************************************************
Imports NUnit.Framework
Imports NAntRunner

<TestFixture()> _
Public Class ListItemTests

    Private _MyListItem As ListItem

    <Test()> _
    Public Sub InstantiateClass_ObjectIsReturned()
        Me._MyListItem = New ListItem("", "")

        Assert.IsNotNull(Me._MyListItem)
    End Sub

    <Test()> _
    Public Sub DisplayNameSpecified_ObjectExposesThatValue()
        Me._MyListItem = New ListItem("Test Display Name", "")

        Assert.AreEqual("Test Display Name", Me._MyListItem.DisplayName)
    End Sub

    <Test()> _
    Public Sub ValueSpecified_ObjectExposesThatValue()
        Me._MyListItem = New ListItem("", "Test Value")

        Assert.AreEqual("Test Value", Me._MyListItem.Value)
    End Sub

    <Test()> _
    Public Sub DisplayNameSpecifiedThenChanged_ObjectExposesSecondValue()
        Me._MyListItem = New ListItem("Test Display Name", "")
        Me._MyListItem.DisplayName = "Test Display Name 2"

        Assert.AreEqual("Test Display Name 2", Me._MyListItem.DisplayName)
    End Sub

    <Test()> _
    Public Sub ValueSpecifiedThenChanged_ObjectExposesSecondValue()
        Me._MyListItem = New ListItem("", "Test Value")
        Me._MyListItem.Value = "Test Value 2"

        Assert.AreEqual("Test Value 2", Me._MyListItem.Value)
    End Sub

    <Test()> _
    Public Sub DisplayNameSpecified_ObjectToStringExposesThatValue()
        Me._MyListItem = New ListItem("Test Display Name", "")

        Assert.AreEqual("Test Display Name", Me._MyListItem.ToString)
    End Sub
End Class
