﻿' *****************************************************************************
' NAntRunner
' A simple, standalone, utility for running NAnt build scripts.
'
' Developed by Mark Gilbert (http://www.mark-gilbert.com).
'
' This software is license under the Microsoft Public License (Ms-PL).  For full
' license details, please see 
' http://www.microsoft.com/resources/sharedsource/licensingbasics/publiclicense.mspx.
' *****************************************************************************
Imports NUnit.Framework
Imports NRBusinessServices

<TestFixture()> _
Public Class NAntScriptGroupTests

    Private Const SCRIPT_GROUP_NAME As String = "Test"

    Private _MyScriptGroup As NAntScriptGroup


#Region " Setup/Teardown "
    <SetUp()> _
    Public Sub SetUp()
        Me._MyScriptGroup = New NAntScriptGroup(SCRIPT_GROUP_NAME)
    End Sub
#End Region


    <Test()> _
    Public Sub InstantiateClass_NameIsSetCorrectly()
        Assert.AreEqual(SCRIPT_GROUP_NAME, Me._MyScriptGroup.Name)
    End Sub


    <Test()> _
    Public Sub InstantiateClass_ScriptsListIsInstantiated()
        Assert.IsFalse(IsNothing(Me._MyScriptGroup.Scripts))
    End Sub
End Class
